using ProjectPatientAccounting.Entities.Enums;
using ProjectPatientAccounting.Entities;
namespace ProjectPatientAccounting.Repositories.Implementations;

public class DoctorRepository : IDoctorRepository
{
    public void CreateDoctor(Doctor doctor)
    {
    }

    public void DeleteDoctor(int id)
    {
    }

    public Doctor ReadDoctorById(int id)
    {
        return Doctor.CreateEntity(0, string.Empty, string.Empty, Area.None);
    }

    public IEnumerable<Doctor> ReadDoctors()
    {
        return [];
    }

    public void UpdateDoctor(Doctor doctor)
    {
    }
}
